Ir al contenido
  • 0
Conéctate para seguir esto  
Fransis

instalar nvidia-driver desde repositorio debian estable

Pregunta

Buenas a todos,

como no me corre ninguna prisa y hace tiempo que no posteo, queria dejar esto por aqui.

 

Resulta que instale LMDE3, como siempre en mis distros debian, tambien instalo liquorix, y normalmente lo suelo acompañar del driver nvidia con dkms....

para mi es una combinacion ganadora, con la que pocas veces he tenido problemas, el caso es que ahora, por mas que instalo el driver nvidia "nvidia-kernel-dkms", me hace la compilacion o la carga de los modulos correctamente en el kernel sin mostrarme ningun error. Pero nada, que no hay manera, y si intento levantar xorg a mano, me dice que no puede.

tambien probe a ejecutar el nvidia-xconfig a mano y nada.

por supuesto, noveau y todo lo relacionado al driver libre, se encuentra desinstalado y en la blacklist. el caso es que no consigo tener entorno grafico ni con un kernel ni con otro...

alguna idea?

Compartir este post


Enlace al post
Compartir en otros sitios

8 respuestas a esta pregunta

Recommended Posts

  • 0

Si funciona dejalo estar. Es una frase que se dice mucho en esto de la informatica. Los drivers no libres suelen dar problemas a Kernels nuevos y esta en relacion con la edad del hardware - quanto más tiempo pase desde que el hardware es considerado "presente" más fácil sera que nos de problemas en un nuevo Kernel que salga porque el equipo del driver es privativo y no dan soporte para siempre sino que solo dan a unas quantas versiones de Kernel. Suele ser bueno para mejor rendimiento intentar dejar el pc con un Kernel que haya salido estando el hardware aún en venta pues asi secadra los produtores de hardware mantienen un buen soporte a ese Kernel y a unos quantos despues pero no para siempre , la cosa suele andar en 5 años.

 

Despues hay el tema testeo que a veces pasa que determinado Kernel sale pero empieza a dar problemas con un driver mantenido y eso es cuestion de tiempo - necesita correciones aún (y personas que las hagan) en ese punto tendreis que pensar o bien regredis kernel y regredis la version de driver de gráfica o otro driver y lo bloqueais (en synaptic) asi como usais grub customizer o otro para que podais editar el grub y la entrada preferente de kernel de boot para evitar desinstalarlo.

O entonces escogeis esperar a que salgan correciones para ese driver en ese nuevo kernel y en este caso conviene ir haciendo update upgrade en el terminal o otro método compatible ademas claro ir buscando info en foros como este.

 

Lo recomendable - si esta bien no le toques a no ser que tengas mismo que hacerlo por un nuevo programa o otra cosa importante. Yo tengo el 14.04 y me va bien a estas alturas ni me planteo andar migrando ya que seguro que me dara problemas de esos y similares.

 

Tambien ando viendo que lso nuevos kernels dan más problemas con firmwares , el problema es la manutencion de esas cosas y las personas que lo pueden hacer , el tiempo , en que numero se hace etc...

 

 

 

 

Compartir este post


Enlace al post
Compartir en otros sitios
  • 0

Habría que empezar por lo básico:

modprobe nvidia


y a ver lo que nos dice.

 

Los logs del xorg y los mensajes de error darían el resto de las pistas, pero vamos, que si no levanta después de compilar el módulo con dkms yo apostaría porque el módulo em sí como principal culpable.

En el peor de los casos siempre queda la opción de instalarlo a mano, que tampoco es tan grave :p

Compartir este post


Enlace al post
Compartir en otros sitios
  • 0

ya lo solucione. pero era un poco mezcla de problemas>

por un lado tuve que volver a ejecutar nvidia-xconfig, y por otro mandar a la mierda liquorix, que por mas que dkms compilaba el modulo y lo cargaba, en liquorix no arrancaba, en el kernel de serie de debian todo ok.

asi es que como se suele decir, muerto el perro se acabo la rabia.

salu2

Compartir este post


Enlace al post
Compartir en otros sitios
  • 0
On 6/9/2018 at 9:33, Rohlling dijo:

Supongo que Shiba nos pondrá del revés, pero a mí los liquorix con Debian no me han funcionado nunca.

El sopapo te lo doy de gratis, por eso no te preocupes :bate:

Y a mí desde hace ya tiempo que tampoco me va nada fino, por no decir que falla más que una escopeta de feria :sweat:

Compartir este post


Enlace al post
Compartir en otros sitios

Registra una cuenta o conéctate para comentar

Debes ser un miembro de la comunidad para dejar un comentario

Crear una cuenta

Regístrate en nuestra comunidad. ¡Es fácil!

Registrar una cuenta nueva

Iniciar Sesión

¿Ya tienes cuenta? Conéctate aquí.

Iniciar Sesión
Conéctate para seguir esto  

×